import Dialog from 'primevue/dialog';
const __VLS_props = defineProps();
const __VLS_emit = defineEmits();
const __VLS_ctx = {
    ...{},
    ...{},
    ...{},
    ...{},
    ...{},
};
let __VLS_components;
let __VLS_intrinsics;
let __VLS_directives;
let __VLS_0;
/** @ts-ignore @type { | typeof __VLS_components.Dialog | typeof __VLS_components.Dialog} */
Dialog;
// @ts-ignore
const __VLS_1 = __VLS_asFunctionalComponent1(__VLS_0, new __VLS_0({
    ...{ 'onUpdate:visible': {} },
    ...{ class: "ks-dialog" },
    visible: (__VLS_ctx.visible),
    header: (__VLS_ctx.title),
    modal: (__VLS_ctx.modal ?? true),
    closable: (__VLS_ctx.closable ?? true),
}));
const __VLS_2 = __VLS_1({
    ...{ 'onUpdate:visible': {} },
    ...{ class: "ks-dialog" },
    visible: (__VLS_ctx.visible),
    header: (__VLS_ctx.title),
    modal: (__VLS_ctx.modal ?? true),
    closable: (__VLS_ctx.closable ?? true),
}, ...__VLS_functionalComponentArgsRest(__VLS_1));
let __VLS_5;
const __VLS_6 = {
    /** @type {typeof __VLS_5.'update:visible'} */
    'onUpdate:visible': (...[$event]) => {
        return (__VLS_ctx.$emit('update:visible', $event));
        // @ts-ignore
        [visible, title, modal, closable, $emit,];
    },
};
var __VLS_7;
/** @type {__VLS_StyleScopedClasses['ks-dialog']} */ ;
const { default: __VLS_8 } = __VLS_3.slots;
var __VLS_9 = {};
{
    const { footer: __VLS_11 } = __VLS_3.slots;
    var __VLS_12 = {};
    // @ts-ignore
    [];
}
// @ts-ignore
[];
var __VLS_3;
var __VLS_4;
// @ts-ignore
var __VLS_10 = __VLS_9, __VLS_13 = __VLS_12;
// @ts-ignore
[];
const __VLS_base = (await import('vue')).defineComponent({
    __typeEmits: {},
    __typeProps: {},
});
const __VLS_export = {};
export default {};
